{% extends 'powerproduction/base.html' %}

{% block title %}Power production | import data{% endblock %}

{% block body %}

    <h1>Power production</h1>

    <p><a href="{% url 'index' %}">Index</a></p>

    <h2>Import data from local file</h2>

    {% if error_message %}<p class="error"><strong>{{ error_message }}</strong></p>{% endif %}

    <form action="{% url 'upload' %}" method="post" enctype="multipart/form-data">
        {% csrf_token %}

        <p><input type="file" name="datafile" /></p>
        <p><input type="submit" value="Import file" /></p>

    </form>

{% endblock %}
